PHP ��U
前一頁 |  | 下一頁

# is_scalar

(PHP 4 >= 4.0.5, PHP 5)

is_scalar -- Finds whether a variable is a scalar

## Description

bool is_scalar ( mixed var )

Finds whether the given variable is a scalar.

Scalar variables are those containing an integer, float, string or boolean. Types array, object and resource are not scalar.

> 注: is_scalar() does not consider resource type values to be scalar as resources are abstract datatypes which are currently based on integers. This implementation detail should not be relied upon, as it may change.

## Parameters

var

  The variable being evaluated.

## Return Values

Returns `TRUE` if var is a scalar `FALSE` otherwise.

## �d��

範例 1. is_scalar() example

`<?php function show_var($var) { if (is_scalar($var)) { echo $var; } else { var_dump($var); } } $pi = 3.1416; $proteins = array("hemoglobin", "cytochrome c oxidase", "ferredoxin"); show_var($pi); show_var($proteins) ?>`

The above example will output:

    3.1416
    array(3) {
      [0]=>
      string(10) "hemoglobin"
      [1]=>
      string(20) "cytochrome c oxidase"
      [2]=>
      string(10) "ferredoxin"
    }

## �Ѧ�

is_float()
is_int()
is_numeric()
is_real()
is_string()
is_bool()
is_object()
is_array()

前一頁 | 內容 | 下一頁
is_resource | 上一層 | is_string